Bug 330811 - Prelinking dmraid prints a warning
Prelinking dmraid prints a warning
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Heinz Mauelshagen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 13:20 EDT by Daniel Qarras
Modified: 2008-12-12 18:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 13:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-13 13:20:41 EDT
When prelinking dmraid the following warning is printed:

Prelinking /usr/lib/libdmraid.so.1.0.0.rc14
prelink: Warning: /usr/lib/libdmraid.so.1.0.0.rc14 has undefined non-weak symbols
Comment 1 Heinz Mauelshagen 2007-10-18 09:41:15 EDT
Not able to reproduce this here.
Which symbols are those ?
Does this cause any negative impact other than the warning ?
Comment 2 Daniel Qarras 2007-10-18 10:28:13 EDT
Steps to reproduce:

1. prelink -au
2. prelink -avmR
3. Notice the warning:

Prelinking /usr/lib/libdmraid.so.1.0.0.rc14
prelink: Warning: /usr/lib/libdmraid.so.1.0.0.rc14 has undefined non-weak symbols

This with today's rawhide.

No negative impacts per se, but see Jakub's comment in Bug 330821:

This is not an error, just a warning.  There are legitimate cases where having
undefined symbols in
ldd -d -r .../lib*so*
is ok and one of them is if the library is not generally dlopenable, but relies
on the binary to satisfy those symbols.

On the other side, if the symbols are provided by some shared library, usually
it is just an on unintentional omission on the packager's part, which is bad
for multiple reasons:
1) if the symbols are versioned in the library where they are defined, the
   library with undefined non-weak symbols might use wrong versions of those 
   symbols
2) in prelink it causes unnecessary prelink conflicts which need to be resolved
   at runtime
3) if you e.g. dlopen that library and don't know you need the other library
   as well, the dlopen will likely fail
Comment 3 Bug Zapper 2008-04-04 10:05:09 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-13 23:22:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-11-25 21:00:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Heinz Mauelshagen 2008-12-10 13:20:32 EST
I tried to reproduce the flaw on Fedora 10 and couldn't.
prelink run unveiled 18 DSOs (mileage can vary depending on package configuration) with "undefined non-weak symbols", not including libdmraid.

Closing in lack of evidence.
Comment 7 Daniel Qarras 2008-12-12 18:04:05 EST
Thanks, I now tested F10 and can verify that this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.